<app-navbar></app-navbar>
<header class="d-flex flex-column align-items-center mt-2 mb-1">
    <h3 class="">To-do List</h3>

    <h5>
        Ajouter un événement <button mat-icon-button matSuffix (click)="openDialog()">
            <mat-icon color="primary" class="d-flex align-items-center justify-content-center">
                note_add
            </mat-icon>
        </button>
    </h5>
</header>


<div class="d-flex justify-content-center">
    <mat-card id="toDoList" class="col-11 col-md-5 d-flex justify-content-center">

        <mat-card-content class="col">
            <mat-divider></mat-divider>
            <mat-list *ngFor="let task of toDoList">
                <div class="d-flex justify-content-end">
                    <h3 mat-subheader color="primary">Supprimer cette tache
                        <button color="primary" mat-icon-button matSuffix>
                            <mat-icon (click)="deleteTask(task)" class="d-flex align-items-center">
                                delete_forever
                            </mat-icon>
                        </button></h3>
                </div>


                <mat-divider></mat-divider>

                <mat-list-item class="d-flex justify-content-center">
                    
                       <div class="col-12"><span class="font-weight-bolder">Débute:</span>
                            {{task.eventStart | date:'dd/MM/yy'}}
                            <span class="font-weight-bolder">à</span>
                            {{task.eventStart | date:'m:H:s'}}</div>
                        </mat-list-item>
                    <mat-list-item class="d-flex justify-content-center">
                        <div class="col-12">
                            <span class="font-weight-bolder"> Fini:</span> {{task.eventEnd | date:'dd/MM/yy'}}
                            <span class="font-weight-bolder">à</span>
                            {{task.eventStart | date:'m:H:s'}}
                        </div>
                 
                </mat-list-item>
                <mat-divider></mat-divider>
                <mat-list-item class="d-flex justify-content-center mt-2">
                    <h6>{{task.title}}</h6>
                </mat-list-item>
                <mat-list-item class="d-flex justify-content-center">{{task.content}}</mat-list-item>

            </mat-list>
        </mat-card-content>
    </mat-card>
</div>